Creates a new instance

- « Ds\Vector::clear

- Ds\Vector::contains »

- PHP Manual
- Ds\Vector
- Creates a new instance

# Ds\Vector::__construct

(PECL ds >= 1.0.0)

Ds\Vector::__construct — Creates a new instance

### Description

public Ds\Vector::__construct(mixed `$values` = ?)

Creates a new instance, using either a traversable object or an array for the initial `values`.

### Parameters

`values`

  A traversable object or an array to use for the initial values.

### Examples

Example #1 Ds\Vector::__construct() example

    <?php$vector = new \Ds\Vector();var_dump($vector);$vector = new \Ds\Vector([1, 2, 3]);var_dump($vector);?>

The above example will output something similar to:

    object(Ds\Vector)#2 (0) {
    }
    object(Ds\Vector)#2 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }